<?php
/**
 * Copyright 2018 Kacper Donat
 *
 * @author Kacper "Kadet" Donat <kacper@kadet.net>
 *
 * Full license available in separate LICENSE file
 */

namespace Kadet\Functional;

use Kadet\Functional\Utils\PartiallyAppliedFunction;

function partial(callable $callable, ...$args)
{
    return new PartiallyAppliedFunction($callable, ...$args);
}
